#!/usr/bin/python3
import cv2
import numpy as np
from comfuncs import common                    # own import

( verbose, threshold, dataset, source ) = common.setParams()
if verbose:
    print( 'verbose={} , threshold={} , dataset={} , source={}'.
           format( verbose, threshold, dataset, source ) )

time = float( cv2.getTickCount() )
faces, Ids = common.getImagesAndLabels( dataset ) # get faces and Ids from the dataset folder
if verbose: print( Ids )
if cv2.__version__ < '3.4':                                 # create Local Binary Patterns Histograms (LBPH) recognizer
    recognizer = cv2.face.createLBPHFaceRecognizer( 1, 8, 8, 8, threshold )
else:
    recognizer = cv2.face.LBPHFaceRecognizer_create( 1, 8, 8, 8, threshold )
recognizer.train( faces, np.array( Ids ) )            # train the recognizer for detected faces
time = ( float( cv2.getTickCount() ) - time ) / cv2.getTickFrequency() 
recognizer.save( dataset + '.yml' )                   # save the recognizer out in *.yml
if verbose:
    print( 'traning time was {} seconds'.format( time ) )
